/** @internal NOTE: Internal APIs. Subject to change. Use of these APIs in production applications is not supported. */ /** */

import { BimProductMeshDescriptor } from './bim-format-types';
import { VertexDataReaderV1, type VertexData } from '@twinfinity/geometry';

export class BimVertexDataReader {
    private readonly _v1Reader: VertexDataReaderV1;

    public constructor(encodedVertexData: ArrayBuffer) {
        this._v1Reader = new VertexDataReaderV1(encodedVertexData);
    }

    public deflateToRef(descriptor: BimProductMeshDescriptor, dst: VertexData): VertexData {
        return this._v1Reader.deflateToRef(descriptor, dst);
    }
}
